<?php
 
namespace App\Http\Controllers;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use Microsoft\Graph\Graph;
use Microsoft\Graph\Model;
use Illuminate\Support\Facades\View;
use Illuminate\Support\Facades\DB;

class LogedInUser extends Controller
{

    public function getUserConventions($type)
    {
        if ($type == 'particuliers') { $typeConvention = 'PART'; }
        elseif ($type == 'professionnels') { $typeConvention = 'PRO'; }

        $viewData = $this->loadViewData();
        $graph = new Graph();

        $graph->setAccessToken(session('accessToken'));

        $photo = $graph->createRequest('GET', '/me/photo/$value')
        ->execute();

        try {
            $allowedAdminMember = $graph->createRequest('GET', '/users/'.$viewData['userEmail'].'/memberOf?$filter=id eq \'b1081558-ce3c-411d-afaf-596c0a3159ea\'')
            ->setReturnType(Model\User::class)
            ->execute();
            $viewData['allowedAdminMember'] = $allowedAdminMember;
        }
        catch (\Exception $e) {
            $viewData['allowedAdminMember'] = null;
        }

        $dbConventionResult =  DB::table('convention')
        ->where('TYPE', '=', $typeConvention)
        ->get();

        $viewData['photo'] = 'data:image/jpeg;base64,'.base64_encode($photo->getRawBody()).'';

        $viewData['dbConventionResult'] = $dbConventionResult;

        $viewData['type'] = $type;

        return view('conventions',$viewData);

    }
    
}


